> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.amniscient.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.amniscient.com/_mcp/server.

# Find Background Folders

GET https://api.amniscient.com/folder/background

Find existing background image folders within your organization's library.

Reference: https://docs.amniscient.com/api/api-reference/find-background-folder

## Request

### Query parameters

- `organization_id` (string, required) — Your organization's unique identifier.
- `type` (string, required) — For the query of background folders, this value should always be 'BACKGROUND'.
- `search` (string, optional) — A search term to filter your background folder results by folder name.
- `page` (double, optional) — The starting page of the response results. By default, response results will begin on page 1.
- `limit` (double, optional) — The number of results per page in the response. By default, pages will have 10 results per page.

### Headers

- `x-api-key` (string, required) — Your organization's active API Key.

## Response

### 200

200 - Folders retrieved successfully

- `status` (string, optional) — A status code denoting success or failure.
- `folders` (list of GetFolderResponseFoldersItems, optional) — An array of folders returned based on your query. If a folder was not found, this array will be empty.
- `total` (integer, optional) — The total number of folders found based on your query.
- `limit` (integer, optional) — The number of results per page in the response. By default, pages will have 10 results per page.
- `page` (integer, optional) — The starting page of the response results.

## Errors

### 400 Bad Request Error

Invalid request

- `status` (string, optional) — A status code denoting success or failure.
- `message` (string, optional) — A message describing the successful action or error state.

### 401 Unauthorized Error

Unauthorized

- `status` (string, optional) — A status code denoting success or failure.
- `message` (string, optional) — A message describing the successful action or error state.

## Types

### GetFolderResponseFoldersItems

- `id` (string, optional) — The folder id of the folder returned within your organization's library.
- `name` (string, optional) — The folder name of the folder returned within your organization's library.
- `type` (string, optional) — The type of folder returned within your organization's library. For background folders, this value will always be 'BACKGROUND.'
- `created_by` (string, optional) — The email of the user that originally created this folder within your organization's library. If this parameter is left empty, the value will default to 'API'.
- `created_at` (datetime, optional) — The date and time at which this folder was originally created within your organization's library.

## Examples

**Response**

```json
{
  "status": "success",
  "folders": [
    {
      "id": "folder-123",
      "name": "my-background-folder",
      "type": "BACKGROUND",
      "created_by": "example@amniscient.com",
      "created_at": "2023-10-01T12:00:00Z"
    }
  ],
  "total": 1,
  "limit": 10,
  "page": 1
}
```

**SDK Code**

```python Successfully retrieved folders
import requests

url = "https://api.amniscient.com/folder/background"

querystring = {"limit":"10","organization_id":"organization_id","page":"1","type":"type"}

headers = {"x-api-key": "x-api-key"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Successfully retrieved folders
const url = 'https://api.amniscient.com/folder/background?limit=10&organization_id=organization_id&page=1&type=type';
const options = {method: 'GET', headers: {'x-api-key': 'x-api-key'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successfully retrieved folders
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.amniscient.com/folder/background?limit=10&organization_id=organization_id&page=1&type=type"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "x-api-key")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successfully retrieved folders
require 'uri'
require 'net/http'

url = URI("https://api.amniscient.com/folder/background?limit=10&organization_id=organization_id&page=1&type=type")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = 'x-api-key'

response = http.request(request)
puts response.read_body
```

```java Successfully retrieved folders
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.amniscient.com/folder/background?limit=10&organization_id=organization_id&page=1&type=type")
  .header("x-api-key", "x-api-key")
  .asString();
```

```php Successfully retrieved folders
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.amniscient.com/folder/background?limit=10&organization_id=organization_id&page=1&type=type', [
  'headers' => [
    'x-api-key' => 'x-api-key',
  ],
]);

echo $response->getBody();
```

```csharp Successfully retrieved folders
using RestSharp;

var client = new RestClient("https://api.amniscient.com/folder/background?limit=10&organization_id=organization_id&page=1&type=type");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "x-api-key");
IRestResponse response = client.Execute(request);
```

```swift Successfully retrieved folders
import Foundation

let headers = ["x-api-key": "x-api-key"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.amniscient.com/folder/background?limit=10&organization_id=organization_id&page=1&type=type")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```